
class RiskCategoriesController < BaseRiskApplicationController

  before_filter :require_login
  before_filter :authorize_global , :except => [:show]
  before_filter :find_risk_category, :only => [:update, :delete, :show]
  verify  :method => :post, :only => :delete


  def index
    @categories = RiskCategory.find :all
  end

  def create
    @category = RiskCategory.new(:status => RiskCategory::STATUS_ACTIVE)
    edit( @category ,  params[:category] , l(:notice_successful_create) )
  end


  def show
  end

  def update
    edit( @category ,  params[:category] , l(:notice_successful_update) )
  end


  def delete

    p_risks = ProjectRisk.find :all, :conditions=>['risk_category_id=?', @category.id]

    if !p_risks.nil? && p_risks.size > 0
      flash[:error] = l(:not_allowed_to_delete_category_with_associated_project_risks_label)
    elsif @category.risks.count > 0
      flash[:error] = l(:not_allowed_to_delete_category_with_associated_risks_label)
    elsif @category.destroy
      flash[:notice] = l(:notice_successful_delete)
    end

   redirect_to :action => 'index'
  end

  def find_risk_category
    @category = RiskCategory.find(params[:id])
    rescue ActiveRecord::RecordNotFound
      render_404
  end
end
