
class RisksController < BaseRiskApplicationController
  menu_item :risks

  before_filter :require_login
  before_filter :authorize_global, :except => [:preview, :show]
  before_filter :find_risks, :only => [:update, :delete, :show]
  verify :method => :post, :only => [:delete]


  def index

    @risk_status = ( params[:risk] ? params[:risk][:status] : nil )
    @risk_category_id = ( params[:risk] ? params[:risk][:risk_category_id] : nil )

    @select_categories = RiskCategory.find :all

    risks_search


    render :template => 'risks/index.rhtml', :layout => !request.xhr?
  end

  def create
    @risk = Risk.new
    edit( l(:notice_successful_create) )
  end


  def show
  end

  def update
    edit( l(:notice_successful_update) )
  end


  def delete

    p_risks = ProjectRisk.find :all,
               :conditions=>['risk_id=?', @risk.id]

    if !p_risks.nil? && p_risks.size > 0
      flash[:error] = l(:not_allowed_to_delete_risk_with_associated_project_risks_label)
    elsif @risk.destroy
      flash[:notice] = l(:notice_successful_delete)
    end

   redirect_to :action => 'index'
  end

  def preview
    if params[:opt] && params[:risk]
      if params[:opt] == 'mitigation'
        @text =  params[:risk][:mitigation]
      elsif params[:opt] == 'contingency'
        @text =  params[:risk][:contingency]
      end
    end
    render :partial => 'common/preview'
  end

  private
  def edit( notice_successful )
    super(@risk ,  params[:risk] , notice_successful)
    @select_categories = RiskCategory.find :all
  end

  def find_risks
    @risk = Risk.find(params[:id])
    rescue ActiveRecord::RecordNotFound
      render_404
  end
end
