
class Risk < ActiveRecord::Base

  STATUS_NONE = 0
  STATUS_ACEITAR = 1
  STATUS_COMPARTILHAR = 2
  STATUS_EVITAR = 3  
  STATUS_EXPLORAR = 4
  STATUS_MELHORAR = 5
  STATUS_MITIGAR = 6  
  STATUS_TRANSFERIR = 7

  belongs_to :risk_category

  validates_presence_of :risk_category_id, :name, :message => "Erro de elemento"
  validates_numericality_of :status, :greater_than_or_equal_to=> 0, :less_than_or_equal_to=> 7 , :message => "Status invalido"


  def initialize(args = nil)
    super
    self.status =  Risk::STATUS_NONE if args.nil? || args[:status].nil?
  end
end
