
class RiskCategory < ActiveRecord::Base

  STATUS_INACTIVE  = 0
  STATUS_ACTIVE     = 1

  has_many :risks, :dependent => :destroy

  validates_presence_of :name , :message => "Nome deve existir"
  validates_numericality_of :status, :greater_than_or_equal_to=> 0, :less_than_or_equal_to=> 2 , :message => "Status invalido"
  validates_associated :risks , :message => "Risk/s are not valid"


  def initialize(args = nil)
    super
    self.status =  RiskCategory::STATUS_ACTIVE if args.nil? || args[:status].nil?
  end
end
