class CreateProjectRisks < ActiveRecord::Migration
  def self.up    	
	create_table :project_risks do |t|
	    t.column :name, :string, :null => false
	
	    t.column :description, :string
	
	    t.column :impact, :integer, :default => 1, :null => false
	
	    t.column :priority, :integer, :default => 1, :null => false
	
	    t.column :mitigation, :text
	
	    t.column :mitigation_status, :integer, :default => 0, :null => false
	
	    t.column :contingency, :text
	
	    t.column :contingency_responsable, :string	    	    	
	
	    t.belongs_to :project, :null => false
	
	    t.belongs_to :risk_category , :null => false
	
	    t.belongs_to :risk	

	    t.integer  :author_id ,  :null => false #, :default => 0
	
	    t.column :created_on, :timestamp
	
	    t.column :updated_on, :timestamp
    	end
	
	create_table :issues_project_risks , :id => false do |t|
		t.column "project_risk_id", :integer, :null=>false
		t.column "issue_id", :integer, :null=>false	
	end
	
	add_index "issues_project_risks", "project_risk_id"
        add_index "issues_project_risks", "issue_id"	
  end

  def self.down
    drop_table :project_risks
    drop_table :issues_project_risks
  end
end
