class CreateProjectIncidents < ActiveRecord::Migration
	
  def self.up    	
	  create_table :project_incidents do |t|
	    t.column :name, :string, :null => false
	
	    t.column :description, :string
	
	    t.column :impact, :integer, :default => 1, :null => false
	    	    	
	    t.column :correction, :text
	
	    t.column :correction_status, :integer, :default => 0, :null => false
	
	    t.column :correction_responsable, :string
	    	    	    	    	    	
	    t.belongs_to :project, :null => false
	    	
	    t.integer  :author_id ,  :null => false #, :default => 0
	
	    t.column :created_on, :timestamp
	
	    t.column :updated_on, :timestamp
    	end
	
	create_table :issues_project_incidents , :id => false do |t|
		t.column "project_incident_id", :integer, :null=>false
		t.column "issue_id", :integer, :null=>false	
	end
	
	add_index "issues_project_incidents", "project_incident_id"
        add_index "issues_project_incidents", "issue_id"
	
	add_index(:issues_project_incidents, [:project_incident_id, :issue_id], :unique => true, :name => 'unique_incident_issue_relation' )
	
  end

  def self.down
    drop_table :issues_project_incidents	
    drop_table :project_incidents
  end

end
