require 'redmine'

Redmine::Plugin.register :redmine_risks do
  name 'Plugin de risco para Redmine'
  description 'Plugin para gerenciamento de risco'
  version '17.0'


  menu :project_menu, :risks,
       {:controller => 'project_risks', :action => 'index'},
       :caption => :risks_label, :param => :project_id

  menu :top_menu,
       :risk_admin,
       {:controller => 'risk_categories', :action => 'index'},
       :if => Proc.new{User.current.allowed_to?( { :controller => 'risk_categories', :action => 'index' } , nil, :global => true)},
       :caption => :risks_label

  project_module :risks do
     permission :project_risks,
                :project_risks => [:index, :create ,:show, :update, :destroy, :issues_index, :issues_new , :issues_delete],
                :project_incidents => [:index, :create ,:show, :update, :destroy, :issues_index, :issues_new , :issues_delete],
                :risk_list=> [:index],
                :project_risk_statistics=> [:index]
  end

  permission :risk_admin_permission,
             :risk_categories => [:index, :create ,:show, :update, :delete],
             :risks => [:index, :create ,:show, :update, :delete]
end
