require File.dirname(__FILE__) + '/../test_helper'

class RiskListControllerTest < ActionController::TestCase
	
  def setup
	
    plugin_create_fixtures( ['risk_categories','risks','projects','users',
		  'members' , 'roles' , 'enabled_modules','project_risks','issues' , 'trackers',
		  'projects_trackers', 'issue_statuses','issue_categories','enumerations'] )

    @controller = RiskListController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @project_id = 1
    User.current = nil
    set_session_user_id('admin')
  end

  def teardown	  	
	Fixtures.reset_cache  		
  end

  def test_index_permissions	
       test_index_permission_project_risk(@project_id)
  end

  def test_index_permissions_without_enabled_risk_project_module
      test_index_permission_project_risk_without_enabled_risk_project_module(3)
  end


  def test_list
	
    get :index, :risk=>{:risk_category_id=>1}, :project_id=>@project_id
    assert_template 'risk_list/index.rhtml'

    assert_not_nil assigns(:select_categories)

    # category not found....
    get :index, :risk=>{:risk_category_id=>100}, :project_id=>@project_id
    assert_response 404

  end

end

