require File.dirname(__FILE__) + '/../../test_helper'

class ProjectRiskStatisticsHelperTest < Test::Unit::TestCase

  include ProjectRiskStatisticsHelper
  include ProjectRisksHelper

    	 		
  def test_compose_rows
	
	  translations = mitigation_status_choices
	
	  data = Array.new
	  mitigation_status_values.each_key do |key|
		  h = {}
		  h['value'] = key.to_i
		  h['count'] = key.to_i
		  data << h
	  end
	
	  	  		  		  		  	  	  	  	  	  	
	  rows = compose_rows(data, translations)
	
	  rows.each do |row|
	 	  assert row.name , translations[row.value.to_i]		
	  end
	  	  	  	  	  	
  end


  def test_compose_rows_return_rows_for_all_translations
	
	  translations = mitigation_status_choices
	  	   		  	  	    	
	  data = [{ "value" => 1, "count" => 2 } , { "value" => 2, "count" => 1 }]
		  		  		  	  	  	  	  	  	
	  rows = compose_rows(data, translations)
	
	  assert_equal translations.size , rows.size
	
	  data = [{ "value" => 1, "count" => 2 } ]
		  		  		  	  	  	  	  	  	
	  rows = compose_rows(data, translations)
	
	  assert_equal translations.size , rows.size
	  	  	  	  	  	
  end

end

