require File.dirname(__FILE__) + '/../test_helper'

class RiskCategoryTest < Test::Unit::TestCase



  def test_can_modify_status_on_new_creation	

    status = RiskCategory::STATUS_INACTIVE

    category = RiskCategory.new(:status => status, :name=>'pepecano')
    assert category.save

    category = RiskCategory.find(category.id)
    assert category.status.to_i == status



    status = RiskCategory::STATUS_ACTIVE

    category = RiskCategory.new(:status => status, :name=>'pepecano')
    assert category.save

    category = RiskCategory.find(category.id)
    assert category.status.to_i == status

  end

  def test_cannot_insert_with_invalid_null_values	
    category=RiskCategory.new
    category.description='description'


    assert !category.save
  end

  def test_cannot_insert_with_invalid_status	
    category=RiskCategory.new
    category.name='asdfsafd'
    category.description='description'
    category.status = 5

    assert !category.save
  end


  def test_insert	
    category=RiskCategory.new
    category.name='asdfsafd'
    category.description='description'

    assert category.save
  end



  def test_hasmany_risks	
    category=RiskCategory.new
    category.name='category'
    category.save

    risk=Risk.new
    risk.name='asdfsafd'
    risk.risk_category = category        		
    risk.save

    risk2=Risk.new
    risk2.name='asdfsafd'
    risk2.risk_category = category        		
    risk2.save

    c = RiskCategory.find(category.id) #it is not neccesary

    assert_equal c.risks.count , 2 , "hasmany relation does not work"
  end


  def test_risks_will_be_destroyed_when_category_is_destroyed	
    category=RiskCategory.new
    category.name='category'
    category.save

    risk=Risk.new
    risk.name='asdfsafd'
    risk.risk_category = category        		
    risk.save

    risk2=Risk.new
    risk2.name='asdfsafd'
    risk2.risk_category = category        		
    risk2.save

    assert_equal category.risks.count , 2 , "hasmany relation does not work"

    risk_id = risk.id
    risk2_id = risk2.id
    category_id = category.id

    assert_not_nil( RiskCategory.first( :conditions => [ "id = ?", category_id ] ) , "category not found in db..." )

    assert RiskCategory.destroy(category_id)

    assert_nil( RiskCategory.first( :conditions => [ "id = ?", category_id ] ) , "category was not removed..." )


    assert_nil( Risk.first( :conditions => [ "id = ?", risk_id ] )  )
    assert_nil( Risk.first( :conditions => [ "id = ?", risk2_id ] )  )
  end







end
