require File.dirname(__FILE__) + '/../test_helper'

class RiskTest < Test::Unit::TestCase


  def test_cannot_insert_with_null_values	

    category = RiskCategory.new
    category.name = 'proof'
    assert category.save

    risk=Risk.new
    risk.description = 'description'
    risk.risk_category = category
        		
    assert !risk.save
  end

  def test_cannot_insert_with_null_category
	
    risk=Risk.new
    risk.name='prueba de riesgo'
    risk.description='description'

    assert !risk.save
  end


   def test_insert_with_a_persistented_category
	
    category = RiskCategory.new
    category.name = 'proof'
    assert category.save

    risk=Risk.new
    risk.name = 'pruebaderiesgo'
    risk.description = 'description'
    risk.risk_category = category
        		
    assert risk.save                                                          	
  end


  def test_cannot_insert_with_invalid_status
	
    category = RiskCategory.new
    category.name='proof'
    assert category.save

    risk=Risk.new
    risk.name='prueba de riesgo'
    risk.risk_category = category
    #risk.status = 'Activedddddddddd'
    risk.status = 5
        		
    assert !risk.save
  end


  def test_can_insert_with_all_possible_statuses
	
    category = RiskCategory.new
    category.name='proof'
    assert category.save

    risk=Risk.new
    risk.name='pruebaderiesgo'
    risk.risk_category = category
    risk.status = Risk::STATUS_ACTIVE
        		
    assert risk.save

    risk2=Risk.new
    risk2.name='pruebaderiesgo'
    risk2.risk_category = category
    risk2.status = Risk::STATUS_INACTIVE
        		
    assert risk2.save
  end


  def test_cannot_insert_without_a_persistented_category
	
    category = RiskCategory.new
    category.name='proof'

    risk=Risk.new
    risk.name='prueba de riesgo'
    risk.description='description'
    risk.risk_category = category
    risk.risk_category.name='proof'
        		
    assert !risk.save                                                          	
  end


  def test_can_insert_several_risks_with_same_category
	
    category = RiskCategory.new
    category.name='proof'
    assert category.save

    risk=Risk.new
    risk.name='prueba de riesgo'
    risk.risk_category = category
        		
    assert risk.save

    risk2 = Risk.new
    risk2.name = 'prueba de riesgo'
    risk2.risk_category = category
        		
    assert risk2.save

  end






end
